Package org.apache.groovy.ast.tools

# Class MethodCallUtils

java.lang.Object
org.apache.groovy.ast.tools.MethodCallUtils

public class MethodCallUtils extends Object
Utility class for commonly called methods

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Statement`
  `appendS(Expression result, Expression expr)`
  `static Expression`
  `maybeNullToStringX(Expression object)`
  `static Expression`
  `toStringX(Expression object)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### appendS

    public static Statement appendS(Expression result, Expression expr)

  - ### toStringX

    public static Expression toStringX(Expression object)

  - ### maybeNullToStringX

    public static Expression maybeNullToStringX(Expression object)